
function to_clipboard() {
    
	let compiler_string="";
    let options_count=0;
    
	for (let element of Array.from(document.querySelectorAll('.nested'))) {
		if ( element.className.includes("active") )	
		{
			if ( element.innerText.length > 0 )
			{
				if ( compiler_string.length > 0 )
				{
					compiler_string += " ";
				}
				options_count++;
				compiler_string += element.innerText;
			}
		}
    }
    
	//let document.getElementById("clip").innerHTML = compiler_string;
	
	var copybox = document.getElementById("clip");
	copybox.textContent = compiler_string;
	
	var copybutton = document.getElementById("copybutton");
	copybutton.textContent = "Selected Options ("+options_count+")";
	
    navigator.clipboard.writeText(compiler_string);
}